## seahorse-validity

seahorse-validity

## Synopsis

    enum                SeahorseValidity;
    const gchar*        seahorse_validity_get_string        (SeahorseValidity validity);

## Description

## Details

### enum SeahorseValidity

    typedef enum {
        SEAHORSE_VALIDITY_REVOKED =     CRYPTUI_VALIDITY_REVOKED,
        SEAHORSE_VALIDITY_DISABLED =    CRYPTUI_VALIDITY_DISABLED,
        SEAHORSE_VALIDITY_UNKNOWN =     CRYPTUI_VALIDITY_UNKNOWN,
        SEAHORSE_VALIDITY_NEVER =       CRYPTUI_VALIDITY_NEVER,
        SEAHORSE_VALIDITY_MARGINAL =    CRYPTUI_VALIDITY_MARGINAL,
        SEAHORSE_VALIDITY_FULL =        CRYPTUI_VALIDITY_FULL,
        SEAHORSE_VALIDITY_ULTIMATE =    CRYPTUI_VALIDITY_ULTIMATE
    } SeahorseValidity;

### seahorse_validity_get_string ()

    const gchar*        seahorse_validity_get_string        (SeahorseValidity validity);

`validity` : | The validity ID
Returns : | A string describing the validity. Must not be freed